Sophie

Sophie

distrib > Mageia > 7 > i586 > media > core-release > by-pkgid > 70659280b3522c674b0dcf07eee7cca8 > deps

firefox-si-67.0.4-1.mga7.noarch.rpm

Dependencies

Provides

Requires

Obsoletes